Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridEnvelope

All Superinterfaces:
  Cloneable

    @UML(identifier="CV_GridEnvelope",
         specification=ISO_19123)
    public interface GridEnvelope

extends Cloneable

Provides the grid coordinate values for the diametrically opposed corners of the grid. Remark that both corners are inclusive. Thus the number of elements in the direction of the first axis is `getHigh().getCoordinateValue(0) - getLow().getCoordinateValue(0) + 1`

Method Summary
`GridCoordinates` | `getHigh()` Returns the maximal coordinate values for all grid points within the grid.
`GridCoordinates` | `getLow()` Returns the minimal coordinate values for all grid points within the grid.

Methods inherited from interface Cloneable
`clone`

Method Detail

### getLow

    @UML(identifier="low",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates getLow()

  Returns the minimal coordinate values for all grid points within the grid.

### getHigh

    @UML(identifier="high",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates getHigh()

  Returns the maximal coordinate values for all grid points within the grid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.